View Issue Details

IDProjectCategoryView StatusLast Update
0002684SymmetricDSNew Featurepublic2018-02-14 15:08
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.0Fixed in Version3.9.0 
Summary0002684: Support Custom Jobs
DescriptionAllow the user to run custom extension jobs, on a schedule, through the job manager. These could be bsh or Java based, similar to the general extension mechanism.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 3953ee6a

2016-12-05 18:46:13

mmichalek

Details Diff
0002684: Support Custom Jobs
0002684
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidJobManager.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/AbstractJob.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/BshJob.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/BuiltInJobs.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncPullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncPushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncTrackerJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/HeartbeatJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/IncomingPurgeJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/InitialLoadExtractorJob.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JavaJob.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobCreator.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobDefaults.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManagerSqlMap.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobMapper.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/MonitorJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/OfflinePullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/OfflinePushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/OutgoingPurgeJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/PullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/PushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/RefreshCacheJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/ReportStatusJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/RouterJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/StageManagementJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/StatisticFlushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/SyncTriggersJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/WatchdogJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/SnapshotUtil.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/IJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/IJobManager.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/JobDefinition.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.9 f0b32dc0

2016-12-08 08:10:42

mmichalek

Details Diff
0002684: Support Custom Jobs
0002684
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/BuiltInJobs.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncPullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncPushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncTrackerJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/HeartbeatJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/IncomingPurgeJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/InitialLoadExtractorJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/MonitorJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/OfflinePullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/OfflinePushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/OutgoingPurgeJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/PullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/PushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/RefreshCacheJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/ReportStatusJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/RouterJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/StageManagementJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/StatisticFlushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/SyncTriggersJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/WatchdogJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/JobDefinition.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ClusterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

SymmetricDS: 3.9 9b91ed66

2017-05-09 09:18:33

mmichalek

Details Diff
0002684: Support Custom Jobs
0002684
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidJobManager.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/AbstractJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/BshJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/BuiltInJobs.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncPullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncPushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncTrackerJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/HeartbeatJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/IncomingPurgeJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/InitialLoadExtractorJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JavaJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobCreator.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobDefaults.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManagerSqlMap.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobMapper.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/MonitorJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/OfflinePullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/OfflinePushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/OutgoingPurgeJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/PullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/PushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/RefreshCacheJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/ReportStatusJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/RouterJob.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/SqlJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/StageManagementJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/StatisticFlushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/SyncTriggersJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/WatchdogJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/SnapshotUtil.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/IJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/IJobManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/JobDefinition.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ClusterConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/SimpleClassCompiler.java Diff File

SymmetricDS: 3.9 20f9e049

2017-05-09 22:57:11

mmichalek

Details Diff
0002684: Support Custom Jobs
0002684
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/AbstractJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManagerSqlMap.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobMapper.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/JobDefinition.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ParameterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.9 c3e27307

2017-05-10 09:27:23

mmichalek

Details Diff
0002684: Support Custom Jobs
0002684
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/BuiltInJobs.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManagerSqlMap.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobMapper.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/IJobManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/JobDefinition.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.9 8d95d775

2017-05-10 09:28:09

mmichalek

Details Diff
0002684: Support Custom Jobs
0002684
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidJobManager.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/MockParameterService.java Diff File

SymmetricDS: 3.9 a59068eb

2017-07-07 15:29:23

klementinastojanovska

Details Diff
0002684: Support Custom Jobs
0002684
mod - symmetric-assemble/src/asciidoc/configuration.ad Diff File
add - symmetric-assemble/src/asciidoc/configuration/jobs.ad Diff File
add - symmetric-assemble/src/asciidoc/images/configuration/customJob.png Diff File
add - symmetric-assemble/src/asciidoc/images/configuration/editScript.png Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.9 4b1bbe64

2017-09-19 16:12:20

chenson42

Details Diff
0002684: Support Custom Jobs
0002684
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/test/resources/symmetric-test.properties Diff File

SymmetricDS: 3.9 bfdf6973

2018-01-02 18:11:08

mmichalek

Details Diff
0002684: Support Custom Jobs - misc fixes and documentation.
0002684
mod - symmetric-assemble/src/asciidoc/configuration/jobs.ad Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JavaJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/SqlJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/JobDefinition.java Diff File

Issue History

Date Modified Username Field Change
2016-07-18 18:14 mmichalek New Issue
2016-11-16 09:48 mmichalek Assigned To => mmichalek
2016-11-16 09:48 mmichalek Status new => assigned
2016-11-16 09:48 mmichalek Product Version 3.8.0 => 3.9.0
2016-12-04 11:45 chenson Target Version => 3.9.0
2016-12-14 14:50 mmichalek Category Improvement => New Feature
2017-06-06 09:35 chenson Status assigned => resolved
2017-06-06 09:35 chenson Fixed in Version => 3.9.0
2017-06-06 09:35 chenson Resolution open => fixed
2017-12-15 16:21 mmichalek Status resolved => closed
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 bfdf6973
2018-02-14 15:08 chenson42 Changeset attached => SymmetricDS 3.9 4b1bbe64
2018-02-14 15:08 Changeset attached => SymmetricDS 3.9 a59068eb
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 8d95d775
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 c3e27307
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 20f9e049
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 9b91ed66
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 3953ee6a
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 f0b32dc0